Bug 151125 - evince cannot correctly display pdf files contains chinese
evince cannot correctly display pdf files contains chinese
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
Depends On:
  Show dependency treegraph
Reported: 2005-03-14 23:02 EST by Yijun Yuan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-28 10:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 166665 None None None Never

  None (edit)
Description Yijun Yuan 2005-03-14 23:02:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
evince cannot display most of my pdf files correct. The files are loaded ok but the chinese characters turn out to be random meaningless symbols. Running in terminal, I can see a lot of error output such as
Error: Unknown character collection 'Adobe-GB1'
Error: Unknown character collection 'Adobe-GB1'
Error: Unknown font tag 'F5'
Error: Unknown font tag 'F5'
Error: Unknown font tag 'F5'
Error: Unknown font tag 'F8'
Error: Unknown font tag 'F3'
Error (205398): No font in show/space
Error: Unknown font tag 'F8'
Error (205407): No font in show/space
and my system turned very slow when loading these files. These files are produced by Acrobat Distiller 5.0 (Windows) and/or CTeX suite (Windows)

It can render some pdf files very well, which are produced using pdflatex in tetex-latex-2.0.2 or dvipdfmx(20031207), the source file is in UTF-8. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open a terminal
2. run evince
3. load a file that contains chinese characters

Actual Results:  If the pdf file is created using adobe distiller under windows, then there would be alot of Error output, no chinese characters can be seen, but a lot of strange symbols. Since most of my pdf files are produced that way (adobe distillers + windows) and the source files(ppt, doc, etc.) are lost(bad luck!), I cannot reproduce them under OOo. 
Most of the times, acroread displays them well.

Expected Results:  nothing should happen in the terminal, and the page displays correctly, like acroread (with CHSKIT, language pack of acroread installed) does.

Additional info:

My default locale is zh_CN.UTF-8
when I switch to zh_CN.GB2312, the problem remains the same, so does the output on terminal.
Comment 1 Bryan W Clark 2005-03-28 10:17:37 EST
Hi, thanks for the bug report.  We're going to track this bug upstream because
it looks like a similar problem they are seeing.  Feel free to comment on it
there.  See the link to GNOME Bugzilla below.

Note You need to log in before you can comment on or make changes to this bug.